Subject: Re: js/bisect-in-c

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 27 May 2022 14:52:11 +0200

On Thu, May 26 2022, Junio C Hamano wrote:

> Junio C Hamano <[email-masked]> writes:
>
>>>>  Final bits of "git bisect.sh" have been rewritten in C.
>>>>
>>>>  Will merge to 'next'?
>>>>  source: <[email-masked]>
>>>
>>> This topic has outstanding regressions in CLI parsing. I.e. we'll now
>>> offer to start bisection where we previously errored out on invalid
>>> command usage. See my replies in that thread.
>>
>> Pointers?
>
> I guess you meant this one?
>
> https://lore.kernel.org/git/[email-masked]/

Yes, sorry about the lack of specific reference upthread.

As noted after in
https://lore.kernel.org/git/[email-masked]/
we're rewriting code in this case that doesn't have test coverage to
catch these regressions, so more than just a narrow bugfix I'd really
like to see a re-roll that gives some confidence that there aren't other
such issues by first adding missing test coverage.